<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html">VirtuosoRdfConnector</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.VirtuosoRdfConnector Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html">SemanticSearchImplementation.VirtuosoRdfConnector</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a619d32e2555a68ee2c881545f60b2477">_manager</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html">SemanticSearchImplementation.VirtuosoRdfConnector</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a33d6bb69d52e85d3622cf204f6f01987">_queryString</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html">SemanticSearchImplementation.VirtuosoRdfConnector</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#ac4130628b3c4f81647bae9be263a2d7a">GetFinalQueryString</a>(string query, bool withInference=true)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html">SemanticSearchImplementation.VirtuosoRdfConnector</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a664532a10fa88ffda7255ad48bb6c91c">GetGraph</a>(string graphName)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html">SemanticSearchImplementation.VirtuosoRdfConnector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a36cfa10dfcbc8084caef0afd804bc889">NAMESPACES</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html">SemanticSearchImplementation.VirtuosoRdfConnector</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#ad6513f05266064ad1094b86315850a7c">QueryWithResultGraph</a>(SparqlParameterizedString query)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html">SemanticSearchImplementation.VirtuosoRdfConnector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a2bdc76057ae76fccec2000bd59a6e5d0">QueryWithResultSet</a>(string query, bool withInference=true)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html">SemanticSearchImplementation.VirtuosoRdfConnector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a1dcc4474aee369c058ddf4faf0928513">QueryWithResultSet</a>(SparqlParameterizedString query)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html">SemanticSearchImplementation.VirtuosoRdfConnector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a3fa556b03971c64b7aa44586a89bf14f">RULESET_QUERY</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html">SemanticSearchImplementation.VirtuosoRdfConnector</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a8b88955c969854bbf6c30516881d2d95">Update</a>(SparqlParameterizedString query)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html">SemanticSearchImplementation.VirtuosoRdfConnector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html#a9a53bad62d02ef44d03eced610359fd5">VirtuosoRdfConnector</a>(string virtuosoServer=&quot;localhost&quot;, int dbPort=1111, string db=&quot;db&quot;, string dbUser=&quot;dba&quot;, string dbPassword=&quot;dba&quot;)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_virtuoso_rdf_connector.html">SemanticSearchImplementation.VirtuosoRdfConnector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
